import request from '@/plugin/axios'
//考勤班次
export function getLerverByPage (data) {
  return request({
    url: '/hr/getLerverByPage',
    method: 'post',
    data
  })
}

//考勤班次删除
export function delLerverById (data) {
  return request({
    url: '/hr/delLerverById',
    method: 'post',
    data
  })
}

//考勤班次新增
export function saveOrUpdataLerver (data) {
  return request({
    url: '/hr/saveOrUpdataLerver',
    method: 'post',
    data
  })
}

//考勤班次编辑
export function getLerverById (data) {
  return request({
    url: '/hr/getLerverById',
    method: 'post',
    data
  })
}

//加班新增
export function saveOrUpdataOver (data) {
  return request({
    url: '/hr/saveOrUpdataOver',
    method: 'post',
    data
  })
}

//加班查询
export function getOverByPage (data) {
  return request({
    url: '/hr/getOverByPage',
    method: 'post',
    data
  })
}